package LATMOS::Accounts::Task::Buildnet;

use strict;
use warnings;
use base qw(LATMOS::Accounts::Task);
use LATMOS::Accounts::BuildNet;

# Always try because depend also on files:
sub needupd {
    return 1;
}

sub run {
    my ($self) = @_;
    my $LA = LATMOS::Accounts::BuildNet->new($self->{config}, noacl => 1);

    my $labase = $self->{base} ? $LA->base($self->{base}) : $LA->default_base;
    $labase && $labase->load or die "Cannot load base";

    $LA->gen_all;
}

1;
